Get Template List

GET /tm/api/v1/templates

Operation id: getTemplates

Description

Retrieve Template list.

Parameters

Query parameters

NameTypeRequiredDescription
execLevelstringNoProject Execution Level
messageTypestringNoProject Type ID
projectTitlestringNoTemplate title
templateIdstringNoProject Template ID

Security

  • ApiKeyAuth (apiKey)
    • API key passed in the apikey request header.

Responses

200 — Success

Content type: application/json

400 — Error

Content type: application/json

Response models

200 — Success

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
messagestringNo
dataarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "SUCCESS"
    },
    "message": {
      "type": "string",
      "example": "Query Successful"
    },
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "projectType": {
            "type": "string",
            "example": "PPT"
          },
          "templateId": {
            "type": "string",
            "example": "4001303"
          },
          "templateName": {
            "type": "string",
            "example": "Test program project template 25122020"
          }
        }
      }
    }
  }
}

400 — Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
errorarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "ERROR"
    },
    "error": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      }
    }
  }
}

Example:

{
  "status": "ERROR",
  "error": [
    {
      "code": "1019",
      "message": "No Data Found"
    }
  ]
}